<?php

return array
(
    # 表名
    'name' => 'brand',
    # 显示给用户看的名称
    'lang' => '商品品牌',
    'order' => 8,
    # 数据结构
    'struct' => array
    (
    
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-300',
            'name'      => '品牌名称',
            'default'   => '',
            'desc'      => '品牌名称',
            'match'     => 'option',
            'update'    => 'text',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '创建时间',
            'match'     => array('is_numeric', time()),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            //'search'  => 'date',
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        //'excel'   => true,
        //'delete' => false,
        //'edit' => false,
        //'insert' => false,
    ),
);
