<?php

$code = array
(
	1 => '用户ID',
	2 => '随机数字',
	3 => '随机数字+字母',
);

$act_code = array
(
	1 => '显示',
	2 => '不显示',
);

return array
(
	# 表名
	'name' => 'config',
	# 显示给用户看的名称
	'lang' => '基本配置',
	'order' => 1,
	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '系统ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
		),
		
		'hr1'		=> array
		(
			'name' 		=> '基本信息',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		
		'name'		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '系统名称',
			'default' 	=> '',
			'desc' 		=> '请输入系统名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
		),
		
		'info'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '系统介绍',
			'default' 	=> '',
			'desc' 		=> '请输入系统介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'edate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '产品有效期-直接填写天数即可，如果产品中也填写了有效期，该参数将失效',
			'default' 	=> '180',
			'match' 	=> 'option',
			'desc' 		=> '产品有效期',
			'update'	=> 'text',
		),

		'shop_pic'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '店铺图片',
			'default' 	=> '',
			'desc' 		=> '店铺图片',
			'match' 	=> 'option',
			'update'	=> 'image',
  			'key'		=> 1,
		),
  
  		'hr9'		=> array
		(
			'name' 		=> '弹窗设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
  
  		'tc_title'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '弹窗标题',
			'default' 	=> '',
			'desc' 		=> '弹窗标题',
			'match' 	=> 'option',
			'update'	=> 'text',
		),
  
  		'tc_pic'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '弹窗图片',
			'default' 	=> '',
			'desc' 		=> '弹窗图片',
			'match' 	=> 'option',
			'update'	=> 'image',
  			'key'		=> 1,
		),

		'hr2'		=> array
		(
			'name' 		=> '关联设置',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'article'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '公众号链接-引导关注公众号',
			'default' 	=> '',
			'desc' 		=> '公众号链接',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),
		
		'task_id'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '软装任务链接',
			'default' 	=> '',
			'desc' 		=> '软装任务链接',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'hr3'		=> array
		(
			'name' 		=> '服务介绍',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),
		
		'desc_name'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '介绍标题-首页服务介绍',
			'default' 	=> '',
			'desc' 		=> '介绍标题',
			'match' 	=> 'option',
			'update'	=> 'text',
		),
		
		'desc_content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '介绍内容-首页服务介绍',
			'default' 	=> '',
			'desc' 		=> '介绍内容',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'flow_name'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '服务流程标题-首页服务流程',
			'default' 	=> '',
			'desc' 		=> '服务流程标题',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

  		/*
		'flow_content'		=> array
		(
			'type' 		=> 'text-1000',
			'name' 		=> '服务流程内容',
			'default' 	=> '',
			'desc' 		=> '服务流程内容',
			'match' 	=> 'option',
			'update'	=> array
			(
				array
				(
					'col'		=> 'name',
					'name' 		=> '流程名称',
					'default' 	=> '',
					'desc' 		=> '流程名称',
					'match' 	=> 'is_string',
					'update'	=> 'text',
				),

				/*
				array
				(
					'col'		=> 'icon',
					'name' 		=> '流程图标',
					'default' 	=> '',
					'desc' 		=> '流程图标',
					'match' 	=> 'is_string',
					'update'	=> 'image',
					'key' 		=> '1',
				),
			
			),
		),
*/

		'video_content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '视频页介绍',
			'default' 	=> '',
			'desc' 		=> '视频页介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'hr4'		=> array
		(
			'name' 		=> '代采服务',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'service_name'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '代采服务标题',
			'default' 	=> '',
			'desc' 		=> '代采服务标题',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'service_desc'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '代采服务介绍',
			'default' 	=> '',
			'desc' 		=> '代采服务介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'service_link'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '代采服务链接',
			'default' 	=> '',
			'desc' 		=> '代采服务链接',
			'match' 	=> 'option',
			'update'	=> 'textarea',
		),

		'wechat'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '客服微信号',
			'default' 	=> 'jiazhi-001',
			'desc' 		=> '客服微信号',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'hr5'		=> array
		(
			'name' 		=> '参与活动',
			'class'		=> '',//本项必须填写
			'attr'		=> '',
		),

		'act_show'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否显示参与活动卡片',
			'default' 	=> '1',
			'desc' 		=> '参与活动',
			'match' 	=> 'option',
			'update'	=> 'radio',
			'option'	=> $act_code,
			'control'	=> 'act_show',
		),

		'act_show_button'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否显示参与活动按钮',
			'default' 	=> '1',
			'desc' 		=> '参与活动',
			'match' 	=> 'option',
			'update'	=> 'radio',
			'option'	=> $act_code,
			'show'		=> 'act_show=1',
		),

		'act_name'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '参与活动标题',
			'default' 	=> '',
			'desc' 		=> '参与活动标题',
			'match' 	=> 'option',
			'update'	=> 'text',
			'show'		=> 'act_show=1',
		),

		'act_desc'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '参与活动介绍',
			'default' 	=> '',
			'desc' 		=> '参与活动介绍',
			'match' 	=> 'option',
			//'update'	=> 'textarea',
			'show'		=> 'act_show=1',
		),

		'act_link'		=> array
		(
			'type' 		=> 'varchar-800',
			'name' 		=> '参与活动链接',
			'default' 	=> '',
			'desc' 		=> '参与活动链接',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'show'		=> 'act_show=1',
		),

		'act_code'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否显示兑换码按钮',
			'default' 	=> '1',
			'desc' 		=> '是否显示兑换码按钮',
			'match' 	=> 'option',
			'update'	=> 'radio',
			'option'	=> $act_code,
			'show'		=> 'act_show=1',
		),

		'about_show'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否显示关于家芝卡片',
			'default' 	=> '1',
			'desc' 		=> '是否显示关于家芝卡片',
			'match' 	=> 'option',
			'update'	=> 'radio',
			'option'	=> $act_code,
			'control'	=> 'about_show',
		),

		'about_name'		=> array
		(
			'type' 		=> 'varchar-255',
			'name' 		=> '关于家芝标题',
			'default' 	=> '',
			'desc' 		=> '关于家芝介绍',
			'match' 	=> 'option',
			'update'	=> 'text',
			'show'		=> 'about_show=1',
		),

		'about'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '关于家芝内容',
			'default' 	=> '',
			'desc' 		=> '关于家芝介绍',
			'match' 	=> 'option',
			'update'	=> 'textarea',
			'show'		=> 'about_show=1',
		),

		'notice'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '反馈清单中的提示设置',
			'default' 	=> '',
			'desc' 		=> '提示设置',
			'match' 	=> 'option',
			'update'	=> 'editor',
			//'list'		=> true,
			//'option'	=> $products,
		),

		/*
		'question_content'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '问卷介绍',
			'default' 	=> '',
			'desc' 		=> '问卷介绍',
			'match' 	=> 'option',
			'update'	=> 'editor',
		),
		*/

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
		),
	),

	'default' => array
	(
		'col' => 'name,info,cdate',
		'value' => array
		(
			'"家芝服务","看视频，学软装，小家里有大世界。",' . time(),
		),
	),

	'alter' => array
	(
		2 => array
		(
			array('update', 'task_id', 'task_id', 'varchar-800  软装任务链接'),
			//array('add', 'config', 'config', 'int-11 1 配置'),
		),
		'version' => 2,
	),

	'manage' => array
	(
		# 后台管理不要列表页
		'list' => 'update',
	),
);
