<?php

$type = array
(
	1 => '购买',
	2 => '兑换',
);

$product_type = array
(
	1 => '有赞',
	2 => '淘宝',
	3 => '联系客服购买',
);

$status = array
(
	1 => '保存后立刻发送给用户',
	2 => '保存后不发送给用户',
);
$sms = array
(
	1 => '不发送提醒短信',
	2 => '发送提醒短信',
);

$product_update = array
(
	1 => '首次保存自动更新',
	2 => '每次保存自动更新',
	3 => '手动更新',
);

$product = function()
{
	return Dever::db('service/product')->state();
};

$products = function()
{
	return Dever::load('ku/lib/manage.products');
};


$id = Dever::input('search_option_product_id');
$name = '';
if ($id > 0) {
	$info = Dever::db('service/product')->one($id);
	$name = $info['name'] . '-';


	$uid = Dever::input('search_option_uid');
	$user = Dever::db('passport/user')->one($uid);

	$faname = $user['username'] . '的' . $info['name'];
} else {
	$faname = '';
}


return array
(
	# 表名
	'name' => 'feedback',
	# 显示给用户看的名称
	'lang' => $name . '设计方案',
	'menu' => false,
	'end' => array
	(
		//'update' => 'service/lib/manage.feedback',
		//'insert' => 'service/lib/manage.feedback',
	),
	# 数据结构
	'struct' => array
	(
	
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			'update'	=> 'hidden',
			'value'		=> Dever::input('where_id')
			//'list'		=> true,
		),

		'order_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '订单id',
			'default' 	=> '',
			'desc' 		=> '订单id',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_order_id')
		),

		'product_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '产品id',
			'default' 	=> '',
			'desc' 		=> '产品id',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_product_id')
		),

		'uid'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户信息',
			'default' 	=> '',
			'desc' 		=> '用户信息',
			'match' 	=> 'is_numeric',
			'update'	=> 'hidden',
			'value'		=> Dever::input('search_option_uid')
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-80',
			'name' 		=> '方案名称',
			'default' 	=> $faname,
			'desc' 		=> '方案名称',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'search'	=> 'fulltext',
			'list'		=> true,
		),

		'info'		=> array
		(
			'type' 		=> 'varchar-200',
			'name' 		=> '设计用时描述',
			'default' 	=> '',
			'desc' 		=> '设计用时',
			'match' 	=> 'option',
			//'update'	=> 'text',
			//'search'	=> 'fulltext',
			//'list'		=> true,
		),

		'pic_xiaoguo'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '效果图',
			'default' 	=> '',
			'desc' 		=> '效果图',
			'match' 	=> 'option',
			//'update'	=> 'images',
			//'key' 		=> '1',
			//'place'		=> '150',
		),

		'pic_pingmian'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '平面图',
			'default' 	=> '',
			'desc' 		=> '平面',
			'match' 	=> 'option',
			//'update'	=> 'images',
			//'key' 		=> '1',
			//'place'		=> '150',
		),

		'pic_yanse'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '颜色参考图',
			'default' 	=> '',
			'desc' 		=> '颜色参考图',
			'match' 	=> 'option',
			//'update'	=> 'images',
			//'key' 		=> '1',
			//'place'		=> '150',
		),

		'pic'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> '方案封面-750px*自定义高度',
			'default' 	=> '',
			'desc' 		=> '最终效果图',
			'match' 	=> 'is_string',
			'update'	=> 'image',
			'key' 		=> '1',
			'place'		=> '150',
		),

		'pdf'		=> array
		(
			'type' 		=> 'varchar-150',
			'name' 		=> 'pdf文件',
			'default' 	=> '',
			'desc' 		=> 'pdf文件',
			'match' 	=> 'is_string',
			'update'	=> 'upload',
			'key' 		=> '4',
		),

		'status'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '保存方式',
			'default' 	=> '1',
			'desc' 		=> '保存方式',
			'match' 	=> 'is_numeric',
			'option' 	=> $status,
			//'update'	=> 'radio',
			//'list'		=> true,
			//'control'	=> 'status',
		),

		'sms'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '是否发送短信-二次服务订单修正后，是否发送短信，首次提交无需修改该状态',
			'default' 	=> '1',
			'desc' 		=> '是否发送短信',
			'match' 	=> 'is_numeric',
			'option' 	=> $sms,
			//'update'	=> 'radio',
			//'list'		=> true,
			//'show'		=> 'status=2',
		),



		'products'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '商品清单-支持多个关键词，多个关键词请用“|”符号隔开，如搜索：鞋子|衣服',
			'default' 	=> '',
			'desc' 		=> '商品清单',
			'match' 	=> 'option',
			'update'	=> 'text',
			//'option'	=> $products,
			//输入并自动完成
			//'autocomplete' => array('ku/lib/manage.search_product?json=1', 'id', 'ku/lib/manage.search_product_by_ids'),
			//输入之后出现弹窗，继续筛选
			'searchbox' => array('ku/lib/manage.search_product_list?json=1', 'id', 'ku/lib/manage.search_product_by_ids', 'cate,brand', 'ku/lib/manage.search_cate,ku/lib/manage.search_brand'),
		),

		'num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户评分',
			'default' 	=> '0',
			'desc' 		=> '用户评分',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'list'		=> true,
			//'show'		=> 'status=2',
		),

		'isnum'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '用户评分1为已评分2为未评分',
			'default' 	=> '2',
			'desc' 		=> '用户评分',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			//'list'		=> true,
			//'show'		=> 'status=2',
		),

		'msg'		=> array
		(
			'type' 		=> 'text-255',
			'name' 		=> '用户备注',
			'default' 	=> '',
			'desc' 		=> '用户备注',
			'match' 	=> 'option',
			//'update'	=> 'text',
			'list'		=> true,
			//'option'	=> $products,
		),

		

		
		'product'		=> array
		(
			'type' 		=> 'longtext',
			'name' 		=> '旧商品清单',
			'default' 	=> '',
			'desc' 		=> '商品清单',
			'match' 	=> 'is_string',
			'updates'	=> array
			(
				array
				(
					'col'		=> 'type',
					'name' 		=> '商品类型',
					'default' 	=> '1',
					'desc' 		=> '商品类型',
					'match' 	=> 'is_numeric',
					'option' 	=> $product_type,
					'update'	=> 'radio',
					'control'	=> 'type',
				),
				array
				(
					'col'		=> 'link',
					'name' 		=> '商品链接-用于自动抓取商品名称、图片、价格等信息，注意：天猫不能自动抓取，请手动填写商品信息',
					'default' 	=> '',
					'desc' 		=> '商品链接',
					'match' 	=> 'is_string',
					'update'	=> 'textarea',
				),

				array
				(
					'col'		=> 'taobao_code',
					'name' 		=> '淘宝高佣长/短链接',
					'default' 	=> '',
					'desc' 		=> '淘宝高佣长/短链接',
					'match' 	=> 'is_string',
					'update'	=> 'textarea',
					'show'		=> 'type=2'
				),

				array
				(
					'col'		=> 'youzan_path',
					'name' 		=> '商城的商品路径-如：pages/goods/detail/index?alias=3nwqrknhydgek',
					'default' 	=> '',
					'desc' 		=> '商城的商品路径',
					'match' 	=> 'is_string',
					'update'	=> 'textarea',
					'show'		=> 'type=1'
				),

				array
				(
					'col'		=> 'update',
					'name' 		=> '是否抓取最新商品信息-根据商品链接来抓取名称、价格、图片，如果选择手动更新，请手动填写以下商品信息',
					'default' 	=> '2',
					'desc' 		=> '抓取最新商品信息',
					'match' 	=> 'is_numeric',
					'option' 	=> $product_update,
					'update'	=> 'radio',
				),

				array
				(
					'col'		=> 'name',
					'name' 		=> '商品名称',
					'default' 	=> '',
					'desc' 		=> '商品名称',
					'match' 	=> 'option',
					'update'	=> 'text',
				),
				array
				(
					'col'		=> 'price',
					'name' 		=> '商品价格-输入整体价格',
					'default' 	=> '',
					'desc' 		=> '商品价格',
					'match' 	=> 'option',
					'update'	=> 'text',
				),
				array
				(
					'col'		=> 'pic',
					'name' 		=> '商品图片',
					'default' 	=> '',
					'desc' 		=> '商品图片',
					'match' 	=> 'option',
					'update'	=> 'image',
					'key' 		=> '1',
				),
			),
		),
		

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(

	),
);
